## NAME

v.out.ascii - Convert a GRASS binary vector map to a GRASS ASCII vector map

## SYNOPSIS

v.out.ascii
v.out.ascii help
v.out.ascii [-o] input=string [output=string] [format=string]

### Flags:

-o
  create old (version 4) ascii file

### Parameters:

input=string
  Name of input vector
output=string
  path to resulting ascii file or ASCII vector name if '-o' is defined
format=string
  output format
  Options: point,standard
  Default: point

## DESCRIPTION

v.out.ascii converts a GRASS vector map in binary format to a GRASS vector map in ASCII format. Using flag -o v.out.ascii output will be in old (version 4) ASCII format.

If the output parameter is not given then the coordinates of any point data within the vector file is sent to stdout.

## NOTES

The GRASS program v.in.ascii performs the function of v.out.ascii in reverse; i.e., it converts vector files in ASCII format to their binary format. These two companion programs are useful both for importing and exporting vector files between GRASS and other software, and for transferring data between machines.

The order of coordinates for new (standard) version of ASCII file is
X Y [Z]
the order of coordinates for old version of ASCII file is
Y X

If old version is requested, the output files from v.out.ascii will be placed in the $LOCATION/$MAPSET/dig_ascii/ and $LOCATION/$MAPSET/dig_att directory.

v.out.ascii does not copy the dig_cats file associated with the binary vector input map to the new output file name. The user must copy the dig_cats file to the new output name if this is desired (e.g., using the UNIX cp command).

It is possible to output the coordinates of vertices in a non-points vector feature by first converting the vector feature to a points map with v.to.points and then exporting with v.out.ascii in points mode.

## SEE ALSO

v.in.ascii, v.to.points

## AUTHORS

Michael Higgins, U.S. Army Construction Engineering Research Laboratory
James Westervelt, U.S. Army Construction Engineering Research Laboratory
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2005/05/10 08:45:40 $

Help Index